【ひまわりの履歴ログ】2001/08/03 ver.0.100β〜2002/04/24 ver.1.45


2002/04/24 ver.1.45
エディタの単語補完機能の表示位置の不具合を修正。
SWinXさんのソースレベル協力(感涙)により、GUI関連の不具合を修正。
数値の認識で、浮動小数点を読めない不具合を修正（ビッキさんに感謝）。
『BEEP』命令を追加。

2002/04/17 ver.1.44a
設定項目『XY』を、『位置』に変更。

2002/04/17 ver.1.44
SWinXさんの協力(再び)により、設定項目の誤りを修正。
ひまわりエディタに、単語の補完機能を追加。
オブジェクトの座標指定に、『名前の、XYは、(x,y)』のように、指定できるようにした。
稀に浮動小数点が認識できない不具合を修正。

2002/04/17 ver.1.43
『命令(し)て、命令(し)て、』の構文で、直後に『（』があると不正な引数を使って命令を呼び出す不具合を修正。
『線』命令の引数を変更。
ひまわりエディタに、引数の自動補完機能とブラウザ表示タブを追加。

2002/04/16 ver.1.42
フォームのリサイズ時に、フォームが真っ白になってしまう不具合を修正。
メールの受信時に、日本語を含む添付ファイルの受信に失敗する不具合を修正。
マニュアルを一部修正。

2002/04/15 ver.1.41
引数の順番を入れ替えて変えても良い仕様に変更。
kobachiさんのひまわり拡張キットを参考に、ウィンドウズのシステム色を取得できるようにした。
オブジェクトの設定項目『H』『W』の読み書きが出来ない不具合を修正。
『乗せ換える』命令と同じ意味の『乗せる』を、追加。
SWinXさんの協力により設定項目の誤りを修正。
母艦以外のフォームもほぼ母艦と同じ構造に変更。
ファイルドロップが、オフにならない不具合を修正。
『作業フォルダ』を除いたシステム命令への値代入は禁止する仕様に変更。
『置換』命令を、『文字列の、Aを、Bに、置換』と書けるようにした。

2002/04/12 ver.1.40
関数を実装。『関数定義』命令を追加。
複数フォームの作成が出来るようにした。
GUIオブジェクトに『パネル』部品を追加。
イベントに、『ファイルドロップした時』を追加。ドロップされたファイルは『イベントの値』で取得出来る
『入れる』命令を追加。
今まで文末に到達すると命令を実行していたが、『動詞＋(し)て』の文節を見つけると実行する仕様に変更。
C言語の『continue』と同じ意味の『続ける』命令を追加。
『幅』『高さ』項目と同じ意味の、『H』『W』項目を追加。
ひまわりエディタの、部品タブにイベントを追加。
ver.1.38で変更したリスト部品の、設定項目を省略した時の動作を「値」に戻した。グリッドは、アイテムが初期値。
キーワード表示やカラー色分けが出来る高機能『Tエディタ』部品を追加。
『イメージ半透明コピー』命令で、元イメージを書き換えてしまうなどの不具合を修正。
『タスクトレイへアイコン表示』命令で、タスクトレイにアイコンを表示した時は、タスクバーのアイコンを隠すようにした。
配列変数の処理で、空の要素があると、データ内容を詰めてしまう不具合を修正。

2002/04/11 ver.1.39
不具合修正しつつも、未公開。（番号が飛んだので一応）

2002/04/08 ver.1.38
GUI部品に設定したイベントを任意のタイミングで呼び出せるようにした。
『タスクトレイへアイコン表示』命令を追加。
母艦の『タイトル』を取得できない不具合を修正。
二次元配列への代入で、「は」を使うと、代入に失敗する不具合を修正。
メールを受信したとき、サーバーから受信したメールを削除しない不具合を修正。
読む命令で、『GUIオブジェクトに、ファイル名を、読む。』が使えるようにした。
リスト部品やグリッド部品の、設定項目を省略した時の動作を変更。イメージ部品の省略時は、画像の読み込みをするようにした。
senkunさんの『命令集追加護衛艦』をバージョンアップ。

2002/04/03 ver.1.37
二次元配列をHTML化する『テーブルタグで囲む』命令を追加。
画像フィルターのライブラリ(TAlphaBitmap)をバージョンアップ。
『イメージ保存』命令のオプション『JPEG圧縮率』変数を追加。
『戻る』命令の不具合修正。GUIオブジェクトのイベントがサブルーチン扱いになっていなかった不具合を修正。
ソースファイルの整理。
『NOT』命令を追加。
Susie Plug-Inの読込先を『ランタイムのパス』のみに限定し利用の優先度を下げた。
べき乗計算で、０乗すると、０になる不具合を修正。(０乗すると１になる)

2002/04/02 ver.1.36
『表列指定置換』と、『表列移動』命令を追加。
『変数名列挙』命令を追加。
『DEBUG』命令を改良。
『※』または『//』と書くと、行末までをコメントにするように仕様を追加。
計算式で『≧』『≦』『≠』が使えるようにした。
エディタの文字色のカスタマイズ機能を追加。ファイルタブを削除。
ひまわりを実行してない状態で『停止』『一時停止』を押したときの不具合を修正。
『DLLを利用』命令の不具合を修正。
サブルーチン外で『戻る』を実行した場合、エラーになるように修正。
TCP/IPでおせっかいなエラーダイアログが表示される不具合を修正。
『ブラウザ』部品で、右クリックでコピーができない不具合を修正。
開発環境を、Delphi6に移行。

2002/03/29 ver.1.35
ファイルでハンドルを使った『ハンドルへ一行書く』で、常にファイルの先頭から書き込んでしまうバグを修正。
『日付加算』で、加算する日付によっては、ひまわりの応答がなくなってしまう不具合を修正。
『表条件抽出』で、ヘッダがダブって出力される不具合を修正。
エディタのクリップボードタブがショートカットで開かなかった不具合を修正。
『DLLを利用』命令で、引数がvoidの関数の定義ができない不具合を修正。
母艦のパス以下へのファイルアクセスは、セキュリティチェックが適用対象外に変更。

2002/03/23 ver.1.34
『DLLを利用』命令を追加。引数の個数、返却値型の制限なしに、ポインタ型(char*)、整数型(int,DWORD,WORD)、論理型(BOOL)の、外部DLLを利用できる。
座標指定なしでGUI部品を作成する時の『部品配置間隔』オプションを追加。
『ブラウザURL移動許可』の不具合を修正。
もろもろの不具合を修正。
メール送受信命令を全面的に書き換え、安定化を図る。
不要なソースファイルを削除など、ソースファイルの整理。

2002/03/19 ver.1.33
『ブラウザ』部品のマニュアルを修正。イベントが発生した時『ブラウザ移動先URL』を参照できるようにした。
『和暦に変換』命令を追加。
マニュアルを修正追加。
ＧＵＩ部品オブジェクト作成時に、『（ボタン１の、右側）に、ボタン２を、ボタンとして、作成。』のように、書けるようにした。
フォームデザイナの不具合を修正。
『表示出力先』オプションを追加。表示の出力先を、ファイルに変更することが出来る。
イメージ部品の設定項目『ハンドル』で、キャンバスのハンドルが得られるように修正。
指数形式で引数に（変数）と書くと、指数部分が欠ける不具合を修正。
Win2kで、『ネットワークドメイン列挙』がうまく動かない不具合を修正。
『エクセル得る』で、未定義の変数を指定するとうまく動かない不具合を修正。
DLL呼び出し時に、"文字列"の形で呼び出すと、引数に、""をつけて渡してしまう不具合を修正。

2002/03/13 ver.1.32
『ブラウザ』部品を追加。ひまわりの窓の中にWEBブラウザを表示可能。
命令の引数を多く書いた時も、エラーが出なかったので、エラーになるように修正。
『母艦スタイル設定』命令を追加。
セキュリティ機能の見直し。セキュリティダイアログの統一。
『ダイアログ初期値』を『読込ファイル選択』『書込ファイル選択』にも適用。
ダイアログの表示位置を、フォームの中央から、デスクトップの中央に表示する仕様に変更。
『短いファイル名取得』『長いファイル名取得』『ファイル完全削除』命令を追加。
『命令（変数&"文字列"）』のように、関数形式での命令実行時に、引数に＆演算子があると、うまく実行できない不具合を修正。
『フォルダ作成』にもセキュリティチェックをかけることにした。
『段落を切り出す』で、実段落より多い段落が指定されると不定な値が返される不具合を修正。

2002/03/03 ver.1.31
ひまわりエディタに、クリップボードの履歴管理機能を追加。設定ファイルのフォルダを指定する機能追加。エディタのマクロを修正。
『言う』『尋ねる』『どれか尋ねる』『リストから選択』のダイアログを、メッセージの長さによりリサイズするように改良。
『尋ねる』『どれか尋ねる』『リストから選択』の初期値を設定する『ダイアログ初期値』変数を導入。
戻り値がポインタ型のDLLをインポートする『文字型DLL宣言』命令を追加。

2002/03/02 ver.1.30
エディタ、メモなどの設定項目のIMEで、『IMEオン』『IMEカタカナ』など、細かい設定が出来るようにした。
『尋ねる』『メモ記入』『どれか尋ねる』命令で、IME状態を設定できる、『ダイアログIMEの状態』変数を導入。
『尋ねる』命令を、メッセージの複数行表示や、母艦の書式設定を反映するように改良した。
『ボタンで選択』で、各ボタンの間に20%の空白を入れて、場合によっては、横方向にボタンを作成するように改良。
TCP/IPの接続時におきるエラーをひまわりで、補足出来るようにした。
文字列の取得などで、何も取得出来なかったとき、不可解な文字が返される不具合を修正。
デバッグ用に、『バイナリダンプ』命令、『システム時間』命令を追加。
保存時に文字列の改行コードが強制的に、CrLfに置換されてしまうのを修正し、改行コードそのままで保存できるようにした。
命令の引数の中に、命令(引数)のような形の呼び出しがあると、引数の内容が壊れてしまう不具合を修正。

2002/02/28 ver.1.29
母艦をリサイズした時のバッファリング処理が、非常に重かったので、バッファリング処理を廃止。
実行ファイルを作成した時、起動オプション(セキュリティレベルの変更等)が無効になってしまう不具合を修正。

2002/02/24 ver.1.28
ワイルドカードで、文字列のマッチ部分を取り出す、「マッチ」命令を追加。
『表ピックアップ』などのワイルドカード検索を、完全に2バイト文字対応にした。
セキュリティ強化。レベルがHIGHの時は、ファイルに対する全ての動作をスキップするように見直した。
ひまわりエディタの命令挿入タブ右クリックで、「サンプルの挿入」が出来るようにした。
今まで取得できなかった「背景色」などの項目を取得可能とした。
「ボタンで選択」「メモ記入」の、「ダイアログキャンセルの値」が有効になるように修正。
設定項目を省略してオブジェクトの値変更した場合、型が未決定になる不具合を修正。
母艦のリサイズ処理が上手く行かないのを修正。

2002/02/19 ver.1.27
『起動して終了まで待機』命令で、実行ファイルから、梱包".hmw"を実行しようとすると、その実行ファイルを二重起動してしまう不具合を修正。
「どれか尋ねる」で、ダイアログ右上の[X]を押した時、「ダイアログキャンセルの値」
の値が有効にならない不具合を修正。
「ボタンで選択」を何度も呼び出すとエラーが発生する不具合を修正。
設定項目を省略してオブジェクトの値変更した場合、「その」の内容が変更されない不具合を修正。

2002/02/08 ver.1.26
バージョンアップに伴う『作業フォルダ』の不具合を修正。
母艦浮上で、フォーム表示のタイミングを修正。
べき乗が文字列として扱われてしまう不具合を修正。
母艦の、リサイズを、オフにした時、最小化ボタンを有効になるように仕様変更。
『フォームの位置記録』命令で母艦の状態（最大化など）も記録するように機能追加。

2002/02/07 ver.1.25
引数省略可能関数で、引数省略した時と、明示的に「それ」を指定した時の区別がつかなかったので、区別がつくようにした。（例：それで、画面クリア。）
VBで言うと、SelectCaseに当たる「条件分岐」命令を追加。
『ダイアログキャンセルの値』を追加。これを設定すれば『尋ねる』などでキャンセルボタンが押されたかどうかを判断できる。
エディタの初期フォントが、灰色で初期化される不具合を修正。
LAN関連の命令を追加修正。

2002/02/04 ver.1.24
TCP/IP関連の命令を追加。TCP/IP関連命令のパフォーマンスを向上させた。
チャットソフトのサンプルを作成。

2002/02/03 ver.1.23
TCP/IP関連の命令を新設。
ダイアログの表示位置が常に中央に表示されるように修正。
「画面クリア」した時、母艦の背景色もクリアした同色で変更するようにした。

2002/01/29 ver.1.22
『ファイル移動』命令でファイルの移動が実行されない不具合を修正。
前のバージョンで命令一覧が更新されていなかったのを修正。

2002/01/29 ver.1.21
アイコンファイルを、256色に変更。以後、256色アイコンに書換が可能。
「表曖昧検索」で、ワイルドカード等の指定がなかった場合、文字を含んでいるかどうかで表内を検索するように仕様変更。
GUIの設定項目に『有効』(=Enabled)『選択位置』(=SelStart)『選択文字数』(=SelLangth)を追加。
起動時に母艦の設定状況が見えてしまうので、「母艦浮上」命令を追加。このキーワードがあると、「母艦浮上」と書くまで母艦は表示されない。
『ドライブ種類判定』命令を追加。
LAN上のコンピューター名を列挙する『ネットワークコンピューター列挙』と、『共有フォルダ列挙』命令を追加。

2002/01/22 ver.1.20
メール送信で「メールCC」「メールBCC」を追加。
PNGの保存で、稀に色化けする問題に対処。
「表行列交換」「表行数」「表列数」命令を追加。
『オブジェクトの、項目名は、値』の、式において、項目名と同じ名前のラベルがあると、ラベルの内容を実行してしまう不具合を修正。
『通貨形式に変換』で、既にカンマ区切りされているものを渡すとエラーが出る不具合を修正。また、小数点以下は、切り捨てになる仕様に変更。
「切り取る」命令で、１つめの引数に、式を書いた時、エラーが出る不具合を修正。

2002/01/20 ver.1.19a
座標の省略をすると、エラーが発生する不具合に対応。

2002/01/19 ver.1.19
窓キャプチャーに引数追加。デスクトップのキャプチャーも出来るようにした。
『フォント選択』命令で、文字装飾及び文字サイズも一緒に得られるようにした。
『文字書体』と『フォント書体』の設定で、「フォント名｜装飾｜サイズ」のように指定できるようにした。
座標の取得命令で、引数に「の」を使ったオブジェクトがあると、０を返す不具合を修正。
引数の中に2次元配列があると、引数の取得に失敗する不具合を修正。

2002/01/18 ver.1.18
実行ファイルに他のファイルを梱包するとき、パス名も有効になる仕様に変更した。
梱包したファイルが一時フォルダにゴミを残す不具合を修正。
".ICO"形式の保存の不具合に対応(但し16色のみ)。
「DEBUG」命令の強化。「ログる」命令を追加。
エディタ系オブジェクトに「選択文字列」項目を追加。
セキュリティの対象に『ファイル移動』を追加。
『ファイル削除』のセキュリティチェックを強化。
母艦全画面化で、カーソルの非表示を止めて、「カーソル表示」命令を追加した。
GUIオブジェクトの設定項目を読んだ時「その」の値が変わってしまう不具合を修正。
「その」の対象は、オブジェクト作成時と、設定時にのみ、対象の変更となる仕様とした。
終了処理設定で、「」にしても、イベントを無効に出来ない不具合を修正。
オブジェクトの「画像」項目を参照すると、画像ファイル名が得られるようにした。
「の」を介した()を使った演算の計算ミスを修正。

2002/01/16 ver.1.17
エディタマクロの『文字種変換』がおかしかったので修正。
エディタのツールメニューからマクロファイルが実行できない不具合を修正。
『その、サイズを、（x1,y1,x2,y2)へ、設定』のような、引数に（）があるとき、それの内容が「」になってしまう不具合を修正。
直接MCIへ命令を送る「MCI送信」命令を追加。
直接GUIオブジェクトへメッセージを送る「メッセージ送信」命令を追加。
ビット操作の関数(AND,OR,XOR,SHR,SHL,右シフト,左シフト)を追加。
文字列の取得時のシステムエラーを修正。
数字の頭に"$"をつけると16進数を表す仕様を加えた。

2002/01/15 ver.1.16
Windows2000で、『起動』『起動して終了まで待機』命令で、パス名に空白があると
実行されない不具合を修正。
ランタイムを含まない実行ファイルでも、『.scr』に改名したひまわりファイルを
実行できるように修正。
エディタに、メニューから実行できるマクロを登録できるようにした。
エディタの、新規作成で、ダイアログを、キャンセルを押したときの動作など、
小さな不具合を多数修正。
最新版のひまわりのソースファイルも一緒にダウンロード出来るようにした。

2002/01/12 ver.1.15
ボタンとメニューを作ったとき、ボタン名が、『保存ボタン』なら、初期テキストが、
「保存」になるようにした。
『母艦の、リサイズ＝オン』が有効にならない不具合を修正。
RGBが規定値を超えたときにシステムエラーが出る不具合を修正。
引数が数値の後に、それを指定すると、それの値がおかしくなる不具合を修正。
指数形式で表された実数も読み取り、計算が出来るようにしたので、
指数形式の演算で失敗する不具合を修正。今後15桁以内の計算なら問題ないと思う。
エディタの部品貼付けで、『母艦』『メニュー』がおかしな文を貼り付ける不具合を修正。
エディタの『日本語入力を標準にする』設定の使い勝手を向上。

2002/01/10 ver.1.14
巨大なファイル読み書きの為にハンドルを使ったファイル操作命令を追加。
『(文字列&文字列)、(文字列&文字列)、命令』の構文で、２つめの引数の内容が壊れる不具合を修正。

2002/01/09 ver.1.13a
命令（引数、引数、引数）形式で命令したとき、引数に助詞をつけるとエラーが出る
不具合を修正。
また、命令の引数内で、命令を使ったときの計算がうまく行かない不具合を修正。
圧縮の不具合（『フォルダ\*』を指定したとき）を修正。

2002/01/09 ver.1.13
メールの送信で、ヘッダの『X-Mailer』の文字化け修正、『Date』のローカライズ化。
送り仮名の自由化を、ひまわりのシステム命令と設定項目名のみに限定する仕様に変更。
それに、伴い、『命令、引数、引数』のような記述方法は、出来なくなった。
代わりに、計算式以外でも、『命令（引数,引数）』のような書き方を出来るようにした。
『配列シャッフル』『座標色取得』命令追加。
マニュアル修正。

2002/01/06 ver.1.12
仕様変更により動かなくなっていたツールを修正。
『ＯＳ』変数で、ゴミが混ざる不具合を修正。
マニュアル追加加筆。

2002/01/06 ver.1.11
『命令＝値』で、『命令(値)』のように呼ばれる仕組みが無効になっていた不具合を修正。(例)作業フォルダは、『c:\』
GUI部品で、フォントなどが得られない不具合を修正。
細かい不具合を修正。
半角の「」が認識されない不具合を修正。
フォントの設定で、日本語フォント以外が使えない不具合を修正。

2002/01/05 ver.1.10
マニュアルのFAQのリンクが切れていたので修正。デモを作り直す。
１つ目の引数を引数を省略すると、『それ』が、自動的に補完される仕様を追加。
エディタの終了ボタンを押したときの動作を、的確にした。
ファイルドロップできる部品に、メモ、エディタを追加。１つの部品にしか設定できない制限を撤廃。
各命令について、送り仮名を省略して書いても良いように仕様を変更。
それに伴い、一部命令を削除し、送り仮名が曖昧だった命令（『半角変換』『英数半角変換』『全角変換』『大文字変換』『小文字変換』『ひらがな変換』『カタカナ変換』『画像ボカシ』）を、改名した。
『開く』『保存』『追加保存』へ引数の追加の為、仕様変更。
『画面クリア』の引数を省略すると、白色で画面をクリアする仕様に変更。
(x1,y1,x2,y2)の形式で、『四角形』『円形』の引数を指定できる仕様に変更。
ついでに、『送り仮名削除』命令を追加。
エディタに最近編集したファイルを開く機能を追加。
GUI部品のイベントに、『マウス動かした時』を、追加。
『母艦全画面化』命令を追加。
回で、０を指定したとき、ループ内を、実行しないに仕様変更。
GUI部品の『画像』項目に、文字列として、部品名を入れると、その画像を取得できる機能を追加。
アニメ部品に『画像追加』項目（アニメに画像を追加できる機能）を追加。
『オブジェクト破壊』命令直後に部品が利用していたメモリを開放するようにした。

2002/01/01 ver.1.00
ついに、ひまわりの正式バージョンリリース。
マニュアル追加加筆。デモを一新。
圧縮、解凍、自己解凍書庫の作成で、LHZ形式以外に、DLLがあれば、ZIP/CAB/ARJ/RAR/GCA/BZA/GZA/BEL/tar/cpio/ar 形式での圧縮解凍に対応した。
部品の設定項目挿入ツールを追加。
『画像ビット数変更』命令追加。
エディタ上で[F1]キーで単語の特定をする場合の単語特定精度の向上。
エディタで実行時にセキュリティレベルが設定できるようにした。
ボタン部品に画像を表示できる機能追加。
リスト部品でテキスト項目の動作を変更など部品全体の設定項目の調整。
FTP関連の命令を追加。
『イメージ保存』で、クリップボードへ画像を保存できるようにした。
また、画像の読み込み関連の命令で、クリップボードからの読み込みに対応。
GUIイベントの『キー押した時』『クリックした時』で、『押された特殊キー』が得られるようにした。
『母艦の、リサイズ』を、オフにすると、最大化ボタンを、オフにするようにした。
画像の拡大縮小を美しく描画するようにした（線形補間法で拡大して、平均操作法で縮小）。
時間加算と、日付加算で、足す時間に、『+0/0/1』のように、＋をつけた時と、秒の計算エラーが出る不具合を修正。
『起動して終了まで待機』で、起動するプログラムに引数が指定できない不具合を修正。『未定義』というシステム変数を削除。
今後イベントを、無効にするときは、イベントに、「」を、設定する。
サブルーチン内の、条件分岐内で、『飛ぶ』命令を使うと、『戻る』命令で、呼び出し個所に戻れないことがある不具合を修正。
アニメ部品で、ボタン機能が、２以外の時でも、効果音が有効になるようにした。
計算式で、(-変数)のように書くと上手く計算されない不具合を修正。

2001/12/23 ver.0.99mβ
エディタの命令挿入ツールからもヘルプを参照できるように改良。
マニュアルに追加加筆。
『演奏繰り返し』の不具合を修正。『繰り返し演奏』命令を追加。
アニメ部品で、可視をオフにしても、効果音が鳴りつづける不具合を修正。
フォームデザイナで、部品削除及び、リサイズに失敗する不具合修正。
計算式や、イベントの指定で、( )の中に、『』がある場合、( )の終端でエラーが
出る不具合を修正。
イメージ保存で、母艦が指定出来ない不具合を修正。
『待つ』命令の、ＣＰＵ負荷を２０％軽減させた。
イメージに対する画像処理命令で、不必要な画面描画を最適化した。
『母艦アイコン』命令で、実行ファイルに埋め込んだアイコンファイルが読めない不具合を修正。
母艦の、背景色の設定で、背景色の設定に失敗する不具合を修正。
『もし』文で『ならば』までの間に改行をはさんだ時、エラーが出る不具合を修正。
『INIファイル開く』で、パス指定をしなかったとき、誤った場所に、INIファイルを作ってしまう不具合を修正。

2001/12/21 ver.0.99lβ
各命令ごとに詳細なマニュアルを作成。
エディタの編集中に[F1]キーで、該当単語のヘルプが表示される機能追加。
「OS」で、OSのバージョンが判別できるようにした。
配列変数の、行挿入命令で、配列の要素以上の行挿入が出来ない不具合を修正。
アニメ部品で、ボタン機能＝２の時に、WAVファイルが設定されてないと、
エラー音が鳴る不具合を修正。
『表ピックアップ』命令で、表フィールド名が無効になる不具合を修正。
『表キー合成』命令で、キーに利用したフィールドが重ならないように仕様を変更。
『RIGHT』命令の不具合を修正。
『指定形式に変換』命令の不具合を修正。
『ファイル名変更』命令でファイルがコピーされてしまう不具合を修正。
『イメージ保存』命令で、ICO形式で保存出来るように機能追加。
『その単語に特定』命令の、不具合を修正。
二次元配列における『"』の不具合を修正。
エディタのツールタブへ、toolsフォルダにあるプログラムを登録しようとすると
ファイルを上書きしてしまう不具合を修正。

2001/12/16 ver.0.99kβ
ひまわりを起動した場所にある Susie-PlugIn を認識しない不具合を修正。
Susie-PlugInの対応拡張子が"*.tif;*.tiff"のような;で区切られたものを認識しない不具合修正。
「文字コードをxxxに変換」命令が実行されない不具合を修正。
コンボで設定項目の「IME」が設定できない不具合を修正。
起動で、「://」引数があるとうまく起動しない不具合を修正。
母艦フォームのアイコンを変更する、「母艦アイコン」命令を追加。
文字書体の、フォント名で、半角英数を含むフォントが指定できない不具合を修正。
フォント名のアバウト指定機能強化。「ms sans serif」や「Msp ゴシック」でも認識。
「ファイル列挙」命令で、「*.jpg;*.jpeg;*.png」のような複数フィルタに対応。
happyさんの協力で、挿入ツールのアイコンを変更。

2001/12/11 ver.0.99jβ
正式に、GUIオブジェクトの各イベントに『オブジェクト名の、イベント名は、
イベント内容』と、指定できる機能追加。
引数が１つの命令で、『命令名は、引数値』のように書けるように仕様変更。
『作業フォルダ』の仕様を変更。（『作業フォルダは、「c:\」』のように書ける。）
「表列コピー」命令でゴミが混ざる不具合を修正。
『文字列＆文字列＋命令』の構文で、文字列の連結が上手く行かない不具合を修正。

2001/12/09 ver.0.99iβ
エディタの置換機能を強化。
文字書体は、「ＭＳ ゴシック|太字」のように文字スタイルの指定機能追加。
「MS　明朝」のような半角全角の曖昧な指定でもフォント名を認識するように改良。
エディタの命令挿入時の引数の区切り記号をカスタマイズ出来る機能追加。
Susie-PlugInによる画像の読込に失敗する不具合修正。
試験的に、ＧＵＩオブジェクトのイベントの指定で、直接ひまわりのソースを指定
出来る機能を追加。（例）ボタン１の、イベントは、「やぁ」と、言う。
『オブジェクト名の、設定項目は』のような指定で、オブジェクト名に変数を
指定すると、代入がうまく行かない不具合を修正。

2001/12/04 ver.0.99hβ
Susie-PlugInに対応、PlugInで、BMP,JPEG,PNG 以外の画像形式も表示可能。
計算式で、稀にでる「）がありません」の不具合修正。
計算式で、稀に(+1)がうまく処理できない不具合修正。
二次元配列を文字列として取得するとき、文字列要素内に改行があると取得に
失敗する不具合を修正。
win2kで、フォルダ選択でエラーが出るので古いタイプのフォルダ選択へ戻す。
フォームデザイナ改良。
マニュアル追加加筆。

2001/12/01 ver.0.99gβ
アニメボタンの大幅機能追加。（繰り返し回数、効果音、フォーカス時のアニメ）
オブジェクトの設定項目は、予約語から除外。（その代わり「の」によって
オブジェクトの設定項目を直接参照する場合は（）で括る。）
数字か、全角か、大文字かで、引数が「」だと、エラーが表示される不具合修正。
「フォント選択」ダイアログの不具合修正。
１元配列へ、カンマ区切りのテキストを代入したものが、２次元配列として
認識されない不具合を修正。
デモプログラムを少々変更。
マニュアルの加筆修正。

2001/11/28 ver.0.99fβ
ツールアイコンのデザイン変更。(Undoボタン追加)
細かい条件でCSVの表からデータを抜き出せる「表条件抽出」命令を追加。
CSV曖昧検索を、ワイルドカード検索に仕様変更。
表ピックアップを、ワイルドカード検索に仕様変更。
「表フィールド名」を導入。
表最小値で0が返る不具合を修正。
表ソート関連でソート結果が安定になるように仕様変更。

2001/11/25 ver.0.99eβ
ファイル削除におけるセキュリティ方針変更。母艦のパス以下のフォルダは、セキュリティ対象外。
母艦のパスで返ってくるパスを、プログラムの起動パスへ変更。「ランタイムのパス」を追加。
ファイルの合成で、ファイル名に全角文字があるとファイル名が壊れる不具合を修正。

2001/11/21 ver.0.99dβ
セキュリティレベルの設定機能追加。
日付、時間の計算命令追加。
母艦最大化、最小化、元のサイズの命令を追加。
「イメージコピー」命令で、等倍座標(x1,x2)を指定した時のコピー不具合を修正。
「リストから選択」命令を追加。
「存在するか」命令で『c:\WINNT\』のように、\で終わると、フォルダをチェック出来るようにした。
小サイズ実行ファイル作成で、ランタイムが、一階層上にあるとき認識できない不具合を修正。
ひまわりの実行ファイルから、ひまわりのプログラム(.hmw)を実行するとき、埋め込んだリソースを
引き継げるように改良（これで無駄な実行ファイルサイズ減）。
イメージへの線描画の不具合を修正。
フォルダ選択ダイアログを、変更。
マニュアル加筆。

2001/11/18 ver.0.99cβ
「イメージ印刷」「イメージ部分コピー」命令を追加。
メールの受信で、「.header」ファイルを作っていたが、これはOutlookでずばり読めるようなので「.eml」に変更。
「もし」の条件で、Aが、B以上、かつ、Cが、D以上...のような条件の連結がうまくいかない不具合を修正。
「変数,変数」と、区切ったとき、変数＆変数と解釈されてしまう不具合を修正。
マニュアル加筆。

2001/11/15 ver.0.99bβ
メールの送信でOutlookで文字化けしてしまう不具合を修正。
INIファイルを開くとき、パスを省略すると、作業フォルダへINIファイルを書くようにした。
小サイズ実行ファイルの、「母艦のパス」が、ランタイムのあるパスになっていたので、
正しい場所をさすように修正。
「ひまわりバージョン」「ひまわり最新更新日」でランタイムのバージョンを得られるようにした。

2001/11/14 ver.0.99aβ
メールの送受信機能を全部書き換えた。
日本語の添付ファイルも問題なく送受信出来るようにした。
デコードしたテキストとデコード前のファイルの2種類を保存することにした。
エディタのツールタブの使い勝手向上させた。
エディタの細かいマクロをいくつか追加した。
エディタにファイルボックスを追加。
エディタのDDEコマンド"saveas"の不具合を修正。
エディタのキーボードのショートカットを充実させた。
小サイズ実行ファイルが、ランタイムの場所検索において、環境変数もチェックするようにした。
コマンドライン引数を参照するとき、実行ファイルからの起動と、
HMWファイルからの起動で、引数の結果が同じになるように仕様を変更。
画像の読み込みでアイコン形式を読めるようにした。
エディタの命令貼付けのミス修正。
エディタの効果音が滑らかに演奏されるようにした。

2001/11/11 ver.0.99β
エディタの外観を一新。命令の貼り付け等を便利にした。
関連付けを変更する機能を追加。(念入りにテスト済)
50KB程度の小サイズのEXEを作成できる機能追加。
「文字列＆変数」で、ゴミが混じるバグ修正。
自動解凍書庫の作成で作成先のパスが無視される不具合を修正。
ヘルプを少し加筆。

2001/11/07 ver.0.98b+1β差分ファイル用
あまり使わないシステム変数を削除。
「INIファイル開く」の不具合修正。
母艦のサイズが、得ると設定でずれる不具合修正。

2001/11/07 ver.0.98bβ
「範囲を切り取る」の不具合修正と切り取った部分より前の文字列を残す仕様に変更。
−から始まる計算式で生じる不具合を修正。
マニュアル検索を強化。
多重構造の条件分岐で分岐に失敗する不具合修正。
多重構造の「もし」では、必ず範囲を（）で括らなくてはならないように仕様を変更。
デバッグ命令(DEBUG,SHOW)に、デバッグ用ダイアログを作成。
システムの予約語のチェックを強化。代わりに単語をコピーする命令を追加。

2001/11/06 ver.0.98aβ
エディタ(himapad)をダブルクリックした時、単語が選択されるようにした。
INIファイル関連の命令を追加。
文字列処理「○○切り取る」命令を追加。
文字種類の判別（全角か、ひらがなか、カタカナか）命令を追加。
文字コード変換の命令を追加。
足す、引く、掛ける、割るの命令追加。
文字列の終端のチェックを厳しくした。
計算式の評価ルーチンを新たに書き直し。（たぶん少し早くなったはず）
エディタのダイアログが開いたとき、カレントディレクトリが開くように修正。
もろもろのダイアログの表示位置が常に中央になるように修正。
２次元配列のCSV的読込で、"aaa,bbb"を判別出来ない不具合を修正。
「飛ぶ」命令でスタックの整合性が崩れる不具合を修正。
システム内部で一時的に文字列を作った時、"`"を含む文字列が壊れる不具合を修正。
大量の繰り返し計算をさせたときにスタックオーバーフローが発生する不具合を修正。

2001/11/02 ver.0.98β
「段落を切り取る」で最後の段落を切り取った時に起きる不具合を修正。
フォームデザイナが起動しなかった不具合を修正。
命令を２行に跨って書きたい場合、行末に「、」か「,」があれば分けて書いて良いことにした。
「全ファイル列挙」命令のメモリ解放に関する不具合修正。
もし、回、反復、呼ぶ、抜ける…などのプログラムの実行制御系の命令がいい加減だったので作り直した。
演奏停止で、MIDIファイルを解放するように変更。
エディタのTEditorがver.2.36へアップしていたので、アップデートした。
未使用の変数を配列として参照すると無限ループに陥る不具合を修正。
作成した実行ファイルから、hmwファイルを実行すると、自らを起動してしまう不具合を修正。
配列○○値の６つの命令の仕様を変更（が、たぶん以前書いたソースからの変更は無いはず）。

2001/10/31 ver.0.97aβ
「範囲を切り取る」命令の引数にそれを指定した時の不具合を修正。
コマンドライン引数の、不具合を修正。
デバッグ用に「改行で実行を止める」を追加。
計算の順番で、掛算と割り算の優先順位が変だったのを修正。
「乱数」命令の不具合を修正。
文字列の比較で、比較の右側が、文字列なら、文字列として判定することにした

2001/10/31 ver.0.97β
条件文のキーワードに、「・・・でなければ」を追加。
エディタで、ファイルのドロップに対応。
おわり命令で終了すると、終了イベントが発生しない不具合を修正。
「終了処理設定」の仕様を変更。変数「終了不可能」を読取専用にした。
フォームデザイナを改良。
「読込ファイル選択」「書込ファイル選択」で作業フォルダがカレントになるように変更。
オブジェクトのサイズを変更すると基本座標が移動する仕様に変更。
計算処理で、変数の型の判定フラグが、ゴミとして残る不具合を修正。
配列合計などの配列関係の命令が、正しく計算されない不具合を修正。
マニュアルのサンプルプログラムを全部見直しして、修正。

2001/10/27 ver.0.96β
暗号化でエラーが出る不具合を修正。
デモプログラムを改良。
イメージコピーと、イメージ半透明コピーで、拡大コピー出来るように改良。
メニューの作成機能を追加。
円形描写、四角形描写の、不具合を修正。
マニュアル加筆（文字列について）。
「タイマー設定」命令を追加。
文字列を強制的に辞書（ハッシュ）として扱ったときに生じる不具合を修正。
「読込ファイル選択」「書込ファイル選択」を改良。
エディタ、メモに、「IME」のオンオフの設定項目追加。
ボタンのテキストを設定したとき、ボタンの大きさをテキストに合わせるようにした。
Rect型(x1,y1,x2,y2)の座標取得に失敗する不具合を修正。
同名オブジェクトを生成出来てしまう不具合を修正。
全角文字のＴが半角文字のYに変換される不具合修正。
「変数の、項目名」で、オブジェクトの値を得られるように改良。
フォームデザイナー（旧GUI部品貼付け）を、作り直した。

2001/10/25 ver.0.95β
デモプログラムを作り直した。
終了ボタンを押してもプログラムがなかなか終われないことがある不具合を修正。
「ショートカット作成」の仕様を変更。特殊フォルダのパスを得る命令を追加。
配列変数代入のとき、文字列、数値の判断を間違える不具合を修正。
文字列を数値として比較する計算で稀にハングする不具合を修正。
母艦に設定項目「リサイズ」を追加。画像を加工する命令をいくつか追加。
『』の中で、「」が、展開されてしまう不具合を修正。
GUI部品の値を設定しても無効になる不具合を修正。
変数＝命令（引数）。の式で、それの値が変化してしまう不具合を修正。

2001/10/21 ver.0.91β
オブジェクトの破棄に失敗するバグを修正(;o;)

2001/10/21 ver.0.90β
「DLL宣言」でインポートした命令の実行に失敗する不具合を修正。
母艦の大きさを変更する、サイズ命令の、幅、高さのを修正。
暗号化のエラー表示の不具合修正。
「大文字」「小文字」命令が全角文字に非対応だったので対応させた。
計算式で、命令(引数＋助詞,引数＋助詞) の構文で、助詞を省略しても良いことにした。
コマンド挿入ダイアログのファイル引用の不具合修正。
もしの文で、AがB以上のような文を、かつ、またはを連続して使えるように改良。
ヘルプに、目的別ヘルプを新設。
「合計」「平均」「分散」の命令名を、「配列合計値」「配列平均値」「配列分散値」に名称変更。
「アニメ」部品の可視、画像の再設定の不具合を修正。
イメージ部品に、簡単なエフェクトがかけられる命令を、追加。

2001/10/14 ver.0.87β
左端削除、右端削除が、文字単位でなく、バイト単位だったので、２バイト文字に対応させた。
配列の要素の上限を超えた番号にアクセスするとエラーが出るバグ修正。
辞書機能列挙で、空の辞書を指定するとエラーが出るバグ修正。
ひらがなカタカナの変換命令追加。
インターネットのFTP,HTTP機能追加。
通過形式に変換のバグ修正。
浮動小数点のバグ修正。それに伴って計算の精度を２倍にした。
エディタの初期設定を変更。

2001/10/09 ver.0.86β
二次元配列の取得に失敗するバグ修正。
繰り返し命令「回」「繰り返す」の途中で、処理を抜ける命令「抜ける」を、追加。
「回」命令で、引数に変数を指定できなかったバグを修正。
Tan が、ArcTanを返すようになっていたのを修正。三角関数・統計関数を、追加。
ループカウンタ、回数を、読取専用にした。

2001/09/30 ver.0.85β
「回」、「反復」命令に、ループカウンタ「回数」を、追加。
母艦の幅、高さが、タイトルバーや外周を含んだ値になっていたので、クライアント領域を指すように変更。
ＤＬＬがないときに発生するバグ修正。
エディタの機能強化。

2001/09/27 ver.0.82β
エディタの使い勝手向上。エディタのバグ修正。

2001/09/27 ver.0.81β
命令LEFT,右端削除のバグ修正。
計算において、文字列と数値の判別を明確化。以後、文字列と数値の
相互変換には、「文字列として扱う」「数値として扱う」命令を使う。
使い勝手の悪かった画像マクロ機能を削除。
カッコのトークン解析で、文字列の中にカッコを含むものがあると、カッコの解析に失敗するバグを修正。

2001/09/25 ver.0.80β
データの暗号化と、実行ファイル作成のバグを修正。
DDEの送受信機能追加。
「辞書名の、項目は、値。」と使える、辞書（ハッシュ）機能追加。
予約語への値代入を制限することにした。
制限の関係でGUI部品の設定項目名称を変更。

2001/09/20 ver.0.71aβ
エディタのカラー化に伴う簡単なバグ修正。
UNLHA32.DLLを標準梱包。ライブラリのライセンスを明示。
文字列関連の命令を追加。

2001/09/19 ver.0.70β
改行までの一行コメント機能「’」を追加。
GUIオブジェクトの設定項目に、サイズを追加。(X1,Y1,X2,Y2)で座標指定が可能。
同じく設定項目に、文字書体、文字サイズ、文字色、スクロールバーを追加。
「もし」「飛ぶ」命令の連鎖による不具合修正。
GUIオブジェクトの貼付けツール改良。
実験的に、オブジェクトの項目設定を、部品名の 項目は 値。と書けるようにした。
文字列処理関連の命令の追加。
エディタのカラー化。
正規表現機能追加。(Bregexp.dllを標準梱包)
代入文以外の場所で、命令（引数）と、書いても良いことにした。

2001/09/13 ver.0.5β
ＧＵＩオブジェクトに、アニメを追加。
背景色、透過処理などの設定項目追加。
グリッドで、内容を編集可能にした。
マニュアル追加・加筆。
INT、EXP、LOGなどの、数学関数を追加。
終了処理機能を、追加。
暗号化のアルゴリズムを変更。
レジストリの読み書き機能。
細かいバグ修正。
命令追加。

2001/09/09 ver.0.4β
「文字数」命令が、2バイト文字未対応だったので対応。
「行挿入」命令、「書込ファイル選択」命令で、バグ修正。
「取り込む」命令で、取り込んだファイルのラベルにもジャンプ出来るように修正。
MS Wordと、連携して使えるようにした。
MS Excelを操作する命令のバグを修正。
ＧＵＩオブジェクトの座標を、グラフィカルに、得るための座標貼付けツールを追加。
Unlha32.dllを使った、圧縮・解凍命令を、追加。
メールの送受信機能を追加。
マニュアル加筆。

2001/09/06 ver.0.31β
細かいバグ修正。マニュアル加筆。
デモの作り直し。

2001/09/04 ver.0.3β
エラー処理機能を追加。
マニュアル追加、加筆。
文字列処理で「RangeError」が出るバグを修正。
いろいろなバグ修正。

2001/09/02 ver.0.2bβ
一部のOSで、文字列のトークン切り出しで、エラーがあることが発覚。急いで修正。
サブルーチンの呼び出しで、戻るでうまく戻ってこないことがあるバグ修正。

2001/09/02 ver.0.2aβ
実行ファイルが作成できないバグ修正。よって、早急にアップ。
べき乗の演算子「＾」を、使えるようにした。
エクセル関連の命令追加。母艦印刷の命令を追加。

2001/09/01 ver.0.2β
文字列の＆連結で、連結の後、変数が来るとエラーになるバグ修正。
オブジェクト生成によるメモリリーク解消。
シーケンスの展開を行わないカッコ『』を導入。
文字列に関するソースの書き直しと、多くのバグ修正。
もし、○○ならば、の構文を、条件分岐の基本とすることに決定。
かつ、または、の理論演算を可能にした。

2001/08/28 ver.0.110β4
オブジェクトに、チェックと、トラックを追加。
オブジェクト項目に、表示を、追加。
実行ファイルへ画像ファイル等を暗号化して埋め込むことが出来るようにした。
？回()で、？回＋改行（）に対応。
０以下の小数の割り算で、結果が０になってしまうバグを修正。

2001/08/25 ver.0.110β3
マニュアルを大幅加筆。
数値指定の部分で、全角数字が指定されても、アバウトに処理するようにした。

2001/08/24 ver.0.110β2
マイナス符号のバグ修正。
文字列の展開に失敗するバグ修正。
マニュアル追加加筆。
WAVファイルの繰り返し演奏のバグ修正。
四則演算の計算バグ修正。
条件分岐に、従来の構文＋「もし」を追加。

2001/08/21 ver.0.110β1
前回のオブジェクトを指す「その」を導入。
共有メモリへの読み書き命令を追加。
条件分岐で、適当な文字列が指定されると、結果が正になるバグ修正。
「存在しているか」命令を、「存在するか」に、改名。
CSVファイルの集計、ソート機能を追加。HTMLタグ操作命令を追加。
エディタの使い勝手向上。
ヘルプを分かりやすく修正。

2001/08/18 ver.0.100β10
文字列・配列に関する命令を追加。
グリッド（二次元の表）を、オブジェクトに追加。
上記２つの機能により、CSVファイルの入出力を完備。
条件分岐で、？の後すぐに、違えばがあると、それを認識しないバグ修正。
オブジェクトの値の設定に変数を指定すると０になってしまうバグ修正。
コマンド貼り付け機能強化。エディタのアイコン変更。

2001/08/16 ver.0.100β９
開発環境を、Win2kから、98SEに戻す（深い意味はない）。
GUI部品で、マウス押した時、キー離した時などの、イベントを追加。
条件文で、？のあとは、ならばを書いてもかかなくてもよいことにした。
命令「半角」の仕様を変更。

2001/08/13 ver.0.100β８
イテレーター（反復）の導入。ファイル関連の命令を追加。
ヘルプファイルの加筆。

2001/08/12 ver.0.100β７
倒置法的な記述を許した（目的語、目的語・・・、述語の形式を、
述語、目的語、目的語・・・と、書いても良いことにした。）
計算で、「答え＝四捨五入（3.14を、１位で)」のような、関数的な
呼び出しが出来るようにした。
システム系命令のカスタマイズを可能にした。
外部設定ファイルの取り込み機能。
擬似的に２次元配列が使えるようにした。

2001/08/10 ver.0.100β６
外部ＤＬＬをリンクして使えるようにした。
エラーがあっても、途中で強制終了しないことにした。
文字列と計算の曖昧さによるバグ修正。

2001/08/07 ver.0.100β５b
バグ修正。サンプルプログラムを修正。

2001/08/07 ver.0.100β５
ものすごくたくさんあったバグの修正。
ちょっと、マニュアルを加筆。
ひまわりの関連付け機能追加。
Graphic Macro Language 搭載。

2001/08/05 ver.0.100β3
ものすごくたくさんあったバグの修正。
マニュアルを執筆（４分の３完成）。

2001/08/04 ver.0.100β2
ひまわりエディタをつけたので、配布用の実行ファイルが簡単に作れるようになった。
ものすごくたくさんあったバグの修正。

2001/08/03 ver.0.100β
とりあえず、動くようになった。
アドベンチャーゲームくらいなら、サクサク作れそう。
